<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Счета');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Счета</div></div></div>';
echo'<div class="list-group-item media"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-format-list-bulleted"></i> <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Мои счета</div></div></div>';

if (isset($_GET['ok'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ok'])]);
if ($arr['user_id'] != $b['id']) {
header('location: /');
die();
}
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [3,$arr['id']]);
bill(Nick($arr['user_id']).' хочет пополнить счет на <b>'.$arr['rur'].'</b> руб! ');

echo '<div class="alert alert-success"role="alert">Оплата счета подтверждена! Дождитесь проверки администратором.</div>';
echo '<div class="list-group-item media"><a href="schet.html"><i class="zmdi zmdi-home"></i> Вернуться назад</a></div>';
$title->GetMenu();
$title->GetFooter();
die();
}
if (isset($_GET['ot'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ot'])]);
if ($arr['user_id'] != $b['id']) {
header('location: /');
die();
}
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [2,$arr['id']]);
echo '<div class="alert alert-danger"role="alert">Оплата счета успешно отменена!</div>';
echo '<div class="list-group-item media"><a href="schet.html"><i class="zmdi zmdi-home"></i> Вернуться назад</a></div>';
$title->GetMenu();
$title->GetFooter();
die();
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM pay WHERE user_id = ?", [$b['id']]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM pay WHERE user_id = ? ORDER BY id DESC LIMIT $start,$num", [$b['id']]);
if ($sql -> rowCount() == 0) {
err('Пусто');
} else {
while($a = $sql->fetch()) {
$arrtype = [0 => 'Не оплачен', 1 => '<font color="green">Оплачен</font>', 2 => '<font color="red">Аннулирован</font>', 3 => '<font color="red">Ожидание проверки Администратора</font>'];
$type = strtr($a['type'], $arrtype);
echo '<div class="list-group-item media">Счет <b>'.$a['prim'].'</b>; сумма: <b>'.$a['rur'].'р.</b> ('.vr($a['time']).')<br/>';
if ($a['type'] == 0) {
echo '<b><a href="?ok='.$a['id'].'">Подтвердить</a></b> | <b><a href="?ot='.$a['id'].'">Отменить</a></b><br/>';
}
echo 'Статус: <b>'.$type.'</b></div>';
}
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
$title->GetMenu();
$title->GetFooter();
?>